<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Requirements</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="requirements">
<h1>Requirements</h1>
<section id="docker">
<h2>Docker</h2>
<p>The Metark application was developed using a Docker containerization approach
which improves the reproducibility of the analyses.
We use Docker to develop and manage Metark. We invite you to verify that
the following requirements are satisfied before trying to bootstrap
the application:</p>
<ul>
<li><p><a class="reference external" href="https://docs.docker.com/get-docker/">Docker 20.10.5+</a><span class="link-target"> [https://docs.docker.com/get-docker/]</span></p>
<blockquote>
<div><p>We recommend you to follow Docker’s official documentations to install
required docker tools (see links above).To help you, explanatory videos for each
operating system are available <a class="reference external" href="https://www.bretfisher.com/installdocker/">here</a><span class="link-target"> [https://www.bretfisher.com/installdocker/]</span></p>
</div></blockquote>
</li>
</ul>
<p><strong>Docker must be on for the duration of Metark use.</strong></p>
</section>
<section id="docker-compose">
<h2>Docker-compose</h2>
<p>The Metark application is composed of several services running in separate docker
containers. To make them work together, we use Docker-compose. Below is the link to the
installation page proposed by Docker :</p>
<ul class="simple">
<li><p><a class="reference external" href="https://docs.docker.com/compose/install/">Docker-compose 1.29.0+</a><span class="link-target"> [https://docs.docker.com/compose/install/]</span></p></li>
</ul>
</section>
<section id="gitlab">
<h2>GitLab</h2>
<p><a class="reference external" href="https://gitlab.com/ifb-elixirfr/fair/metark">https://gitlab.com/ifb-elixirfr/fair/metark</a></p>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>